API per partner › Spazio di lavoro Avviare l'autorizzazione tramite SMS POST /api/crm/v2/mobile_apps_ios_authorization_codes.authorizationv2
operationId: mobileAppsiOSAuthorizationCodes.authorization
Avvia l'autorizzazione in background dell'account iOS tramite SMS. Il codice inviato da Apple via SMS viene poi inserito tramite .add e il processo lo rileva automaticamente. Viene utilizzato l'account iOS collegato alla rete; il corpo della richiesta è vuoto. Se non è collegato alcun account iOS alla rete o l'account non viene trovato, viene restituito l'errore 100.
Autorizzazione api-token + language + role
Corpo della richiesta application/json Risposte 200
object
status string obbligatorio
Valori: successerror
Esempio: success
curl PHP JavaScript Python Copiare
curl -X POST 'https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: it' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'it' ,
'role' => 'partner' ,
],
'json' => [],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/mobile_apps_ios_authorization_codes.authorization" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner" ,
},
json ={},
)
data = response . json () Risposta 200
{
"status" : "success" ,
"data" : {}
} Le richieste vengono inviate a foodsoul.pro, che è l’host di questo portale; non è possibile sceglierne un altro.